From 485370289df83a75955e4dbf09dcc00851d96e62 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Sat, 14 Nov 2015 05:38:44 -0500
Subject: [PATCH] books/bookvolbib add Knut15, Tane76 references added

Goal: Bibliography of cited references
---
 books/bookvolbib.pamphlet      |   33 ---------------------------------
 changelog                      |    4 +++-
 patch                          |    7 +++----
 src/axiom-website/patches.html |    2 ++
 4 files changed, 8 insertions(+), 38 deletions(-)

diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index c0b3765..ac43a4b 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -2718,29 +2718,6 @@ Kelsey, Tom; Martin, Ursula; Owre, Sam
 
 \end{chunk}
 
-\index{Tanenbaum, Andrew S.}
-\begin{chunk}{axiom.bib}
-@article{Tane76,
-  author = "Tanenbaum, Andrew S.",
-  title = "In Defense of Program Testing or Correctness Proofs Considered Harmful",
-  journal = "SIGPLAN Notices",
-  volume = "11",
-  number = "1",
-  year = "1976",
-  pages = "64-68",
-  paper = "Tane76.pdf",
-  abstract = "Dijkstra's remark to the effect that testing can only 
-    demonstrate the presence of errors and not their absence is
-    unquestionably true. This observation, together with the recent
-    development of techniques for formally proving programs to be correct,
-    has led some computer scientists to believe that correctness proofs
-    can replace testing as a means for insuring that programs do what
-    they are supposed to do. The purpose of this note is to point out
-    several reasons why even programs rigorously proven to be correct
-    should be neertheless thoroughly tested. Correctness proofs can
-    supplement, but cannot replace comprehensive testing."
-}
-\end{chunk}
 
 \index{Th\'ery, Laurent}
 \begin{chunk}{axiom.bib}
@@ -16532,16 +16509,6 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-@misc{Knut15,
-  author = "Unknown",
-  title = "Knuth & Plass line-breaking Revisited",
-  year = "2015",
-  url = "http://defoe.sourceforge.net/folio/knuth-plass.html"
-}
-
-\end{chunk}
-
 \eject
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Bibliography}
diff --git a/changelog b/changelog
index af43cf0..3ce91e0 100644
--- a/changelog
+++ b/changelog
@@ -1,5 +1,7 @@
+20151114 tpd src/axiom-website/patches.html 20151114.03.tpd.patch
+20151114 tpd books/bookvolbib add Knut15, Tane76 references added
 20151114 tpd src/axiom-website/patches.html 20151114.02.tpd.patch
-20141114 tpd books/bookvol5.pamphlet add signatures
+20141114 tpd books/bookvol5 add signatures
 20151114 tpd src/axiom-website/patches.html 20151114.01.tpd.patch
 20151114 tpd src/axiom-website/download.html remove exec-shield instructions
 20150912 tpd src/axiom-website/patches.html 20150912.01.tpd.patch
diff --git a/patch b/patch
index d0d34fe..1fd909d 100644
--- a/patch
+++ b/patch
@@ -1,7 +1,6 @@
-books/bookvol5 add signatures
+books/bookvolbib add Knut15, Tane76 references added
+
+Goal: Bibliography of cited references
 
-Goal: Proving Axiom Correct
 
-Signatures are part of the proof technology being developed.
-The plan is to add signatures on every lisp function.
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 39d8746..fae484f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5128,6 +5128,8 @@ books/bookvol10.3 add signatures for COQ<br/>
 src/axiom-website/download.html remove exec-shield instructions<br/>
 <a href="patches/20151114.02.tpd.patch">20151114.02.tpd.patch</a>
 books/bookvol5.pamphlet add signatures<br/>
+<a href="patches/20151114.03.tpd.patch">20151114.03.tpd.patch</a>
+books/bookvolbib add Knut15, Tane76 references added<br/>
  </body>
 </html>
 
-- 
1.7.5.4

